dat<-read.csv("control data for lambert paper.csv", header = TRUE)
head(dat)


#Log transform control data for each month
tMar<-log(dat$ctrl.march)
tApr<-log(dat$ctrl.april)

#Anova to test for year interactions - Mar
anova <- aov(tMar~ year+trt+rep+trt*rep+year*trt+year*rep, data=dat)
summary(anova)

#Anova to test for year interactions - Apr
anova <- aov(tApr~ year+trt+rep+trt*rep+year*trt+year*rep, data=dat)
summary(anova)

#No Year by Treatment interactions for Mar. April was ~0.05. Decision made to combine both March and April data over years

library(ExpDes)

#March control - transformed
analysis1<- rbd(dat$trt, dat$rep, tMar, quali = TRUE, mcomp = "lsd", sigT = 0.05, sigF = 0.05)

#to get non transformed means for March
analysis2<- rbd(dat$trt, dat$rep, dat$ctrl.march, quali = TRUE, mcomp = "lsd", sigT = 0.05, sigF = 0.05)

#April control - transformed
analysis1<- rbd(dat$trt, dat$rep, tApr, quali = TRUE, mcomp = "lsd", sigT = 0.05, sigF = 0.05)

#to get non transformed means for April
analysis2<- rbd(dat$trt, dat$rep, dat$ctrl.april, quali = TRUE, mcomp = "lsd", sigT = 0.05, sigF = 0.05)



